org.licas.parsers.admin

## Class LicasConfigParser

- java.lang.Object
- - org.licas.parsers.admin.LicasConfigParser

-     public class LicasConfigParser
      extends java.lang.Object

  This can parse a `LicasConfig` object that contains all configuration information, including service types with related GUI interface classnames.
  Author:
    Kieran Greer

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LicasConfigParser()` Create a new instance of LicasConfigParser

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `LicasConfig` | `parse(org.licas_xml.abs.Element toParse)` Parse the XML element back into the appropriate Object.
    `LicasConfig` | `parseFromFile()` Parse an XML file back into the gui config model.
    `LicasConfig` | `parseFromFile(java.lang.String filePath)` Parse an XML file back into the gui config model.
    `org.licas_xml.abs.Element` | `serialize(LicasConfig licasConfig)` Serialize the object into an XML element.
    `void` | `writeToFile(LicasConfig licasConfig)` Write the gui config model to a file.
    `void` | `writeToFile(LicasConfig licasConfig, java.lang.String filePath)` Write the gui config model to a file.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LicasConfigParser

          public LicasConfigParser()

      Create a new instance of LicasConfigParser

  - ### Method Detail

    - #### serialize

          public org.licas_xml.abs.Element serialize(LicasConfig licasConfig)
                                              throws java.lang.Exception

      Serialize the object into an XML element.
      Parameters:
        `licasConfig` - the licas configuration information.
      Returns:
        the serialized object.
      Throws:
        `java.lang.Exception` - any error.

    - #### writeToFile

          public void writeToFile(LicasConfig licasConfig)
                           throws java.lang.Exception

      Write the gui config model to a file.
      Parameters:
        `licasConfig` - the licas configuration to write.
      Throws:
        `java.lang.Exception` - any error.

    - #### writeToFile

          public void writeToFile(LicasConfig licasConfig,
                                  java.lang.String filePath)
                           throws java.lang.Exception

      Write the gui config model to a file.
      Parameters:
        `licasConfig` - the licas configuration to write.
        `filePath` - the path to the file to parse.
      Throws:
        `java.lang.Exception` - any error.

    - #### parseFromFile

          public LicasConfig parseFromFile()
                                    throws java.lang.Exception

      Parse an XML file back into the gui config model.
      Returns:
        the parsed config model.
      Throws:
        `java.lang.Exception` - any error.

    - #### parseFromFile

          public LicasConfig parseFromFile(java.lang.String filePath)
                                    throws java.lang.Exception

      Parse an XML file back into the gui config model.
      Parameters:
        `filePath` - the path to the file to parse.
      Returns:
        the parsed config model.
      Throws:
        `java.lang.Exception` - any error.

    - #### parse

          public LicasConfig parse(org.licas_xml.abs.Element toParse)
                            throws java.lang.Exception

      Parse the XML element back into the appropriate Object.
      Parameters:
        `toParse` - the element to parse.
      Returns:
        the parsed gui classname lists.
      Throws:
        `java.lang.Exception` - any error.